Skip to main content
GET
/
agent-sessions
/
{session_id}
/
messages
/
{message_id}
Get message details
import requests

url = "https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/messages/{message_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/messages/{message_id} \
--header 'X-API-KEY: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "role": "<string>",
  "content": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sibling_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "task_id": "<string>",
  "stream_url": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-KEY
string
header
required

Headers

X-End-User-ID
string | null

Path Parameters

session_id
string<uuid>
required
message_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

Unique identifier for the message.

role
string
required

Role of the message sender (user, assistant, system).

content
string
required

Content of the message.

created_at
string<date-time>
required

Creation timestamp.

parent_id
string<uuid> | null

ID of the parent message.

sibling_ids
string<uuid>[]

IDs of other messages that share the same parent (branches).

task_id
string | null

The ID of the task processing this message (if applicable).

stream_url
string | null

URL to stream events for this task.